---
title: Keyboard Navigation
page_title: Keyboard Navigation - DateInput - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI DateInput wrapper for Vue."
slug: keyboardnavigation_dateinput_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/dateinputs/dateinput/keyboard-navigation/"
position: 5
---

<div><WrapperBanner link="/kendo-vue-ui/components/dateinputs/dateinput/keyboard-navigation"></WrapperBanner></div>


# Keyboard Navigation

The keyboard support of the DateInput is always available.

The DateInput supports the following keyboard shortcuts:

| SHORTCUT | DESCRIPTION |
|:--- |:--- |
| `Alt`+`w` | Focuses the DateInput.|
| `Left Arrow` | Highlights the previous day part.|
| `Right Arrow` | Highlights the next day part.|
| `Up Arrow` | Increases the current date part.|
| `Down Arrow` | Decreases the current date part.|
| `Space` | Highlights the next day part.|
| `Delete` or `Backspace` | Clears the current date part.|
| Mouse-wheel, rotated up | Increases the current date part.|
| Mouse-wheel, rotated down | Decreases the current date part.|

{% meta height:200 %}
{% embed_file dateinputs/keyboard/main.vue preview %}
{% embed_file dateinputs/keyboard/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI DateInput for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/dateinput/overview)
* [API Reference of the DateInput Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/dateinput)
