---
title: Keyboard Navigation
page_title: Keyboard Navigation - MultiViewCalendar - Kendo UI for Vue
description: "Use the keyboard navigation in a Kendo UI MultiViewCalendar Vue wrapper."
slug: keyboard_navigation_multiviewcalendar_wrapper
position: 8
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/dateinputs/multiview-calendar/"
---

<div><WrapperBanner></WrapperBanner></div>

# Keyboard Navigation

The keyboard navigation of the MultiViewCalendar is always available.

The MultiViewCalendar supports the following keyboard shortcuts:

| Shortcut            | Description                                      |
|:---                 |:---                                              |
| `Up Arrow`          | Highlights the same day from the previous week.  |
| `Down Arrow`        | Highlights the same day from the next week.      |
| `Left Arrow`        | Highlights the previous day.                     |
| `Right Arrow`       | Highlights the next day.                         |
| `Enter`             | Selects the focused date.                        |
| `Home`              | Focuses the first date in the month.             |
| `End`               | Focuses the last date in the month.              |
| `Ctrl`+`Up Arrow`   | Navigates to the previous view.                  |
| `Ctrl`+`Down Arrow` | Navigates to the next view.                      |
| `Ctrl`+`Down Left`  | Navigates to the previous month.                 |
| `Ctrl`+`Down Right` | Navigates to the next month.                     |

{% meta height:450 %}
{% embed_file multiviewcalendar/keyboard/main.vue preview %}
{% embed_file multiviewcalendar/keyboard/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI MultiViewCalendar for jQuery](https://docs.telerik.com/kendo-ui/controls/scheduling/multiviewcalendar/overview)
* [API Reference of the MultiViewCalendar](https://docs.telerik.com/kendo-ui/api/javascript/ui/multiviewcalendar)
