---
title: Selection
page_title: Selection - MultiViewCalendar - Kendo UI for Vue
description: "Enable the user to apply the multiple or range selection mode when working with the Kendo UI MultiViewCalendar wrapper for Vue."
slug: selection_multiviewcalendar_wrapper
position: 4
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/dateinputs/multiview-calendar/"
---

<div><WrapperBanner></WrapperBanner></div>

# Selection

The MultiViewCalendar allows the user to select multiple dates or a range of dates by using the MultiViewCalendar selection modes.

## Multiple Selection

The following example demonstrates how to implement the multiple-view selection mode in the MultiViewCalendar.

{% meta height:450 %}
{% embed_file multiviewcalendar/selection/multiple/main.vue preview %}
{% embed_file multiviewcalendar/selection/multiple/main.js %}
{% endmeta %}

## Range Selection

The following example demonstrates how to implement the range selection mode in the MultiViewCalendar.

{% meta height:450 %}
{% embed_file multiviewcalendar/selection/range/main.vue preview %}
{% embed_file multiviewcalendar/selection/range/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI MultiViewCalendar for jQuery](https://docs.telerik.com/kendo-ui/controls/scheduling/multiviewcalendar/overview)
* [API Reference of the MultiViewCalendar](https://docs.telerik.com/kendo-ui/api/javascript/ui/multiviewcalendar)
