---
title: Overview
page_title: TimePicker Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI TimePicker wrapper for Vue delivers and use the component in Vue projects."
slug: overview_timepicker_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/dateinputs/timepicker/"
position: 1
---

<div><WrapperBanner link="/kendo-vue-ui/components/dateinputs/timepicker"></WrapperBanner></div>

# TimePicker Overview

The TimePicker represents a time-list where the user can enter or pick time values.

The TimePicker wrapper for Vue is a client-side wrapper for the [Kendo UI TimePicker](https://docs.telerik.com/kendo-ui/api/javascript/ui/timepicker) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the TimePicker in action.

{% meta height:450 %}
{% embed_file timepicker/basic/main.vue preview %}
{% embed_file timepicker/basic/main.js %}
{% endmeta %}

## Functionality and Features

* [Range selection]({% slug rangeselection_timepicker_wrapper %})
* [Time ranges and formats]({% slug timerangesformats_timepicker_wrapper %})
* [Intervals]({% slug intervals_timepicker_wrapper %})
* [Keyboard navigation]({% slug keyboardnavigation_timepicker_wrapper %})
* [RTL support]({% slug rtl_timepicker_wrapper %})

## Events

The following example demonstrates basic TimePicker events. You can subscribe to [all TimePicker events](https://docs.telerik.com/kendo-ui/api/javascript/ui/timepicker#events) by the handler name.

{% meta height:450 %}
{% embed_file timepicker/events/main.vue preview %}
{% embed_file timepicker/events/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI TimePicker for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/timepicker/overview)
* [API Reference of the TimePicker](https://docs.telerik.com/kendo-ui/api/javascript/ui/timepicker)
