---
title: Keyboard Navigation
page_title: Keyboard Navigation - TimePicker - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI TimePicker wrapper for Vue."
slug: keyboardnavigation_timepicker_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/dateinputs/timepicker/keyboard-navigation/"
position: 4
---

<div><WrapperBanner link="/kendo-vue-ui/components/dateinputs/timepicker/keyboard-navigation"></WrapperBanner></div>

# Keyboard Navigation

The keyboard support of the TimePicker is always available.

The TimePicker supports the following keyboard shortcuts:

| SHORTCUT | DESCRIPTION |
|:--- |:--- |
| `Access Key`+`w` | Focuses the TimePicker.|

When the popup is opened, the TimePicker supports the following keyboard shortcuts:

| SHORTCUT | DESCRIPTION |
|:--- |:--- |
| `Up Arrow` |Selects the previous available time.|
| `Down Arrow` |Selects the next available time.|

When the popup is closed, the DateTimePicker supports the following keyboard shortcuts:

| SHORTCUT | DESCRIPTION |
|:--- |:--- |
| `Enter` | Triggers the `change` event.|
| `Esc` | Closes the popup.|
| `Alt`+`Up Arrow` | Closes the popup.|
| `Alt`+`Down Arrow` | Opens the popup.|

{% meta height:450 %}
{% embed_file timepicker/keyboard/main.vue preview %}
{% embed_file timepicker/keyboard/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI TimePicker for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/timepicker/overview)
* [API Reference of the TimePicker](https://docs.telerik.com/kendo-ui/api/javascript/ui/timepicker)
